Skip to main content
GET
/
v1
/
webhooks
/
deliveries
Listar entregas de webhooks
curl --request GET \
  --url https://api.notifique.dev/v1/webhooks/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "webhookId": "<string>",
      "messageId": "<string>",
      "event": "<string>",
      "payload": {},
      "statusCode": 123,
      "response": "<string>",
      "attempts": 123,
      "success": true,
      "duration": 123,
      "nextRetryAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "webhook": {
        "name": "<string>",
        "url": "<string>"
      }
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "limit": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_live_xxxxx

Query Parameters

page
integer
default:1
limit
integer
default:20
Required range: x <= 100
event
string
success
enum<string>
Available options:
true,
false
webhook_id
string
message_id
string

Response

Lista de entregas com paginação.

success
boolean
required
Example:

true

data
object[]
required
pagination
object
required